# Class pyglet.image.AnimationFrame

A single frame of an animation.

## Methods

| __init__(self, image, duration) Create an animation frame from an image.
| __repr__(self)

## Method Details

### __init__

(Constructor) __init__(self, image, duration)
Create an animation frame from an image.

Parameters:
  image : AbstractImage
    The image of this frame.
  duration : float
    Number of seconds to display the frame, or `None` if it is the last frame in the animation.